## openjdk-21 21~14ea~us1

=== debian/changelog ===
openjdk-21 (21~14ea~us1-0ubuntu1) lunar; urgency=medium

  * OpenJDK 21 snapshot, Build 14.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 17 Mar 2023 13:31:13 +1300

openjdk-21 (21~7ea-1ubuntu1) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 21:34:32 +1300

openjdk-21 (21~7ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, build 7.
  * Don't build zero on ppc64el for now, see JDK-8298655.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jan 2023 10:32:21 +0100

openjdk-21 (21~3ea-2) unstable; urgency=medium

  * Fix autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2022 15:35:45 +0100

openjdk-21 (21~3ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, build 3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Dec 2022 21:06:42 +0100

openjdk-21 (21~1ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, build 1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 14:14:44 +0100

openjdk-20 (20~26ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 26 (rampdown phase one).
  * Handle jtreg package name for backports.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 12:34:21 +0100

openjdk-20 (20~20ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 20.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Oct 2022 10:28:19 +0200

openjdk-20 (20~17ea-2) unstable; urgency=medium

  * Also include the classlist file for zero builds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Oct 2022 11:18:06 +0200

openjdk-20 (20~17ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 17.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 19:40:13 +0200

openjdk-19 (19+36-2) unstable; urgency=medium

  * Enable hotspot on riscv64. Closes: #1020545.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Sep 2022 16:16:51 +0200

openjdk-19 (19+36-1) unstable; urgency=medium

  * OpenJDK 19 release.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Sep 2022 14:55:13 +0200

openjdk-19 (19~32ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 32.
  * Re-enable running the test suite.
  * Only try to re-run failed tests once instead of three times.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jul 2022 10:25:56 +0200

openjdk-19 (19~31ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 31.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jul 2022 11:04:08 +0200

openjdk-19 (19~23ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 23.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 May 2022 11:55:51 +0200

openjdk-19 (19~20ea-1) unstable; urgency=medium

  * OpenJDK 19 snapshot, build 20.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2022 18:32:32 +0200

openjdk-18 (18~36ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 36 (first release candidate).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Feb 2022 09:22:24 +0100

openjdk-18 (18~32ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 32.
  * Add jwebserver into the openjdk-jdk-headless package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Jan 2022 11:45:56 +0100

openjdk-18 (18~20ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 20.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Oct 2021 08:36:16 +0200

openjdk-18 (18~15ea-4) unstable; urgency=medium

  * Fix installation of the zero VM, now installed as zero, not as server.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2021 18:43:49 +0200

openjdk-18 (18~15ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 15.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Sep 2021 10:10:47 +0200

openjdk-18 (18~12ea-1) unstable; urgency=medium

  * OpenJDK 18 snapshot, build 12.
  * Encode the early-access status into the package version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Aug 2021 12:46:22 +0200

openjdk-18 (18~2-1) experimental; urgency=medium

  * OpenJDK 18 snapshot, build 2.
  * Only build using lto with GCC 11.
  * Build using GCC 11 in recent distributions.
  * Remove rimd, removed upstream.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jun 2021 15:00:57 +0200

openjdk-17 (17~24-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 24.
  * Drop the work around for JDK 8211105.
  * Remove jaotc (the experimental JIT compiler), removed upstream.
  * Add an (unapplied) patch to replace OASIS header files with ones
    imported from NSPR and NSS. See #985765.  Not reviewed, not applying.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 11:26:59 +0200

openjdk-17 (17~19-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 19.
    - Fix JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - Fix JDK-8249906: Enhance opening JARs (CVE-2021-2163).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Apr 2021 09:51:43 +0200

openjdk-17 (17~17-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 17.
  * Refresh patches.
  * Prefer to build using openjdk-17 instead of -16. Closes: #986526.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2021 09:37:40 +0200

openjdk-17 (17~15-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 15.
  * Fix another upstream typo to build with external harfbuzz. Closes: #985668.
  * Disable running the tests on mipsel and mips64el.  Times out, and if it
    succeeds, it taken at least five days to run.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2021 10:31:15 +0100

openjdk-17 (17~14-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 14.
  * Don't use the triplet-prefixed binutils tools for backports.
  * Simplify compiler selection for backports.
  * Fix build with older glibc versions. See JDK-8262501.

