=== debian/tests/control ===
Test-Command: java --version
Depends: openjdk-21-jre-headless
Restrictions: superficial

Test-Command: javac --version
Depends: openjdk-21-jdk-headless
Restrictions: superficial

#Tests: hotspot, jaxp, langtools
#Depends: @, default-jre-headless, jtreg6:native (>= 7.1.1+1-0~), testng:native, build-essential
#Restrictions: allow-stderr, skippable, flaky

#Tests: jdk
#Depends: @, default-jre-headless, jtreg6:native (>= 7.1.1+1-0~), testng:native, build-essential, xfwm4:native, xvfb, dbus-x11
#Restrictions: allow-stderr, skippable, flaky
