## openjdk-21 21~28ea

=== debian/changelog ===
openjdk-21 (21~28ea-2) unstable; urgency=medium

  * Update VCS attributes.
  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg).
  * Add support for arc (untested), hppa (untested) and ia64.
  * Configure --with-stdc++lib=static on ia64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Jun 2023 07:21:14 +0200

openjdk-21 (21~28ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 28.
  * Add support for alpha, m68k, ppc, sh, x32.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jun 2023 07:48:49 +0200

openjdk-21 (21~27ea-4) unstable; urgency=medium

  * debian/rules: Correctly set BOOT_JDK_HOME.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 20:53:53 +0200

openjdk-21 (21~27ea-3) unstable; urgency=medium

  * Regenerate autopkg test scripts.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 14:51:08 +0200

openjdk-21 (21~27ea-2) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 27.

  [ Vladimir Petko ]
  * Also disable tests on trixie. No jtreg7 yet.
  * debian/copyright: Convert to a machine-readable format.
  * debian/copyright: Align excludes statement with openjdk-17.
  * debian/watch: Add ea repack suffix.
  * Fix build on mipsel and mips64el.
  * Move ct.sym from the jre into the jdk package.

  [ Matthias Klose ]
  * Enable tests for trixie and unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 08:56:39 +0200

openjdk-21 (21~26ea-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: only compile google tests when with_check is enabled,
    disable them for bullseye and jammy.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 06:29:28 +0200

openjdk-21 (21~26ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 26.

  [ Vladimir Petko ]
  * d/p/*: refresh patches.
  * Copy OpenJDK 20 packaging changes:
    - d/rules: pack external debug symbols with build-id, do not pack duplicate
      symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
    - d/{control, compat}: update debhelper-compat version, add jtreg7
      dependencies, regenerate control.
    - d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
      add test options from OpenJDK makefile.
    - d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
    - d/t/jdk: provide dbus session for the window manager (LP: #2001576).
    - d/p/build_gtest.patch: build OpenJDK with the system googletest
      (LP: #2012316).
  * d/p/*: add patches for jtreg tests:
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
      failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch:
      Ubuntu-specific patches to workaround missing DNS resolver on the build
      machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * Enable ppc64el JRE zero build as JDK-8299476 is fixed.
  * Known issues:
    - amd64: test/jdk/sun/security/pkcs11/KeyStore/CertChainRemoval.java:
      https://mail.openjdk.org/pipermail/jdk-dev/2023-May/007836.html
    - s390x: test/hotspot/jtreg/runtime/NMT/VirtualAllocCommitMerge.java:
      https://mail.openjdk.org/pipermail/hotspot-dev/2023-June/075316.html

  [ Matthias Klose ]
  * Fix jaxp.properties installation.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Jun 2023 17:54:09 +0200

openjdk-21 (21~14ea-1) UNRELEASED; urgency=medium

  [ Vladimir Petko ]
  * OpenJDK 21 snapshot, Build 14.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).
  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Jun 2023 17:15:22 +0200
