=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: openjdk-21
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: OpenJDK Team <openjdk-21@packages.debian.org>
+Maintainer: OpenJDK Team <openjdk-21@packages.debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  file,
+  jtreg7  <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-12 <!cross>,
   openjdk-20-jdk-headless:native | openjdk-21-jdk-headless:native,
@@ -19,19 +18,19 @@
   openjdk-21-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://openjdk.java.net/
-Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk
-Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git
+Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk/tree/openjdk-21
+Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git -b openjdk-21
 
 Package: openjdk-21-jdk-headless
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-21-jre-headless (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Suggests: openjdk-21-demo, openjdk-21-source
-Provides: java-sdk-headless, java2-sdk-headless,
+Provides: java-sdk-headless (= ${vm:Version}), java2-sdk-headless,
   java5-sdk-headless, java6-sdk-headless,
   java7-sdk-headless, java8-sdk-headless,
   java9-sdk-headless, java10-sdk-headless,
@@ -41,14 +40,14 @@
   java18-sdk-headless, java19-sdk-headless,
   java20-sdk-headless, java21-sdk-headless,
   java-compiler
-Breaks: openjdk-17-jre-headless (<< 17~10)
-Replaces: openjdk-17-jre-headless (<< 17~10)
+Breaks: openjdk-17-jre-headless (<< 17~10), openjdk-21-jre-headless (<< 21~27ea),
+Replaces: openjdk-17-jre-headless (<< 17~10), openjdk-21-jre-headless (<< 21~27ea),
 Description: OpenJDK Development Kit (JDK) (headless)
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
 
 Package: openjdk-21-jre-headless
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: ${jredefault:Depends}, ${cacert:Depends},
@@ -59,7 +58,7 @@
 Suggests: libnss-mdns,
   fonts-dejavu-extra,
   fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
-Provides: java-runtime-headless, java2-runtime-headless,
+Provides: java-runtime-headless (= ${vm:Version}), java2-runtime-headless,
   java5-runtime-headless, java6-runtime-headless,
   java7-runtime-headless, java8-runtime-headless,
   java9-runtime-headless, java10-runtime-headless,
@@ -77,7 +76,7 @@
  using ${vm:Name}.
 
 Package: openjdk-21-jdk
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-21-jre (= ${binary:Version}),
@@ -85,7 +84,7 @@
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: libxt-dev
 Suggests: openjdk-21-demo, openjdk-21-source, visualvm
-Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
+Provides: java-sdk (= ${vm:Version}), java2-sdk, java5-sdk, java6-sdk,
   java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
   java12-sdk, java13-sdk, java14-sdk, java15-sdk, java16-sdk, java17-sdk,
   java18-sdk, java19-sdk, java20-sdk, java21-sdk,
@@ -95,14 +94,14 @@
  applets, and components using the Java programming language.
 
 Package: openjdk-21-jre
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-21-jre-headless (= ${binary:Version}),
   ${xandsound:Depends}, ${dlopenjre:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
-Provides: java-runtime, java2-runtime,
+Provides: java-runtime (= ${vm:Version}), java2-runtime,
   java5-runtime, java6-runtime,
   java7-runtime, java8-runtime,
   java9-runtime, java10-runtime,
@@ -118,7 +117,7 @@
  programs, using ${vm:Name}.
 
 Package: openjdk-21-demo
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-21-jre (= ${binary:Version}),
@@ -158,7 +157,7 @@
  This package contains the API documentation.
 
 Package: openjdk-21-dbg
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Priority: optional
 Section: debug
@@ -175,7 +174,7 @@
  This package contains the debugging symbols.
 
 Package: openjdk-21-jre-zero
-Architecture: amd64 i386 arm64 armhf ppc64 riscv64 s390x
+Architecture: amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
