=== debian/rules ===
--- 
+++ 
@@ -104,18 +104,24 @@
 v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
 v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
 v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
-# FIXME. currently v_upstream like 11~4
+
+# uncomment for final release
 #v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
 #v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
+
+# uncomment for pre-release
 v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
 v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
 # that should be the package version ...
 
 #$(warning XXXXX $(v_upstream) / $(v_pkgrel) / $(v_upbase) / $(v_upbuild))
 
+#uncomment for final release
 #ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
 #  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
 #endif
+
+# uncomment for pre-releases
 ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
   $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
 endif
@@ -157,20 +163,20 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-ifneq (,$(filter $(distrel), sid bookworm bullseye focal jammy kinetic))
-  jtreg_pkg = jtreg6
-else ifneq (,$(filter $(distrel), sid bookworm bullseye))
-  jtreg_pkg = jtreg
-else
-  jtreg_pkg =
+ifneq (,$(filter $(distrel), sid bookworm bullseye))
+  jtreg_pkg = jtreg# debian will have jtreg7 in jtreg package
+  testng_pkg = libtestng7-java
+else
+  jtreg_pkg = jtreg7
+  testng_pkg = libtestng7-java
 endif
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel mipsel mips64el riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha arc hppa ia64 armel mipsel mips64el powerpc riscv64 x32))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bionic))
+ifneq (,$(filter $(distrel), precise trusty xenial bionic focal jammy bookworm bullseye))
   with_check = disabled for $(distrel), no $(jtreg_pkg)
 endif
 #with_check = disabled, more recent jtreg needed
@@ -179,11 +185,11 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
-with_check = disabled for this upload
+#with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
-arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
+arch_map	:= alpha=alpha arc=arc arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
 
 jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
 			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
@@ -193,18 +199,12 @@
 
 default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
 
-any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+any_archs = alpha amd64 arc armel armhf arm64 hppa i386 ia64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 
 altzero_archs = $(hotspot_archs)
 ifneq (,$(filter $(distrel),trusty))
   altzero_archs := $(filter-out arm64, $(altzero_archs))
 endif
-# see https://bugs.openjdk.org/browse/JDK-8298655
-altzero_archs := $(filter-out ppc64el, $(altzero_archs))
-
-# FIXME: https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.5+6-1ubuntu1
-# ftbfs on armhf, also in OpenJDK 15, now fixed in 16?
-#altzero_archs := $(filter-out armhf, $(altzero_archs))
 
 ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
   altzero_archs =
@@ -217,8 +217,8 @@
 export DEBIAN_JDK_BASE_DIR := /$(basedir)
 
 BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
-			/usr/lib/jvm/java-18-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
-			/usr/lib/jvm/java-19-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
+			/usr/lib/jvm/java-21-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
+			/usr/lib/jvm/java-20-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 		))))
 
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
@@ -237,3 +237,6 @@
   bd_gcc = g++-4.9,
 else ifneq (,$(filter $(distrel),wily))
   ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
+    export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
+    export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
+    # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
